API reference

Stores API

The Stores API lets you change which split configuration group (transaction fees) a store uses. Stores are created during merchant onboarding, and you can see a merchant account's stores in the Merchant Accounts API response.

Authentication

After configuring an API key in the Zentact admin, include it in requests by adding an X-API-Key header. For example:

curl -X PATCH https://test.api.zentact.com/api/v1/stores/ST32962227727Z5LXVJ65G7ZL \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"splitConfigurationGroupId": "SPTR4516P4E5U"}'

Update store

PATCH /api/v1/stores/:storeId

Required Parameters

  • splitConfigurationGroupId (string): The ID of the split configuration group (transaction fees) to assign to the store. See the Split Configuration Groups API.

Request

{
  "splitConfigurationGroupId": "SPTR4516P4E5U"
}

Response

{
  "status": "ok",
  "data": {
    "merchantAccountId": "MERYVF6TS47YS",
    "storeId": "ST32962227727Z5LXVJ65G7ZL",
    "splitConfigurationGroupId": "SPTR4516P4E5U"
  }
}
Previous
Merchant Accounts